import { HttpService } from '@nestjs/axios';
import { FindLastOneResponse } from '../interfaces/response/find/find-last-one.response.interface';
import { FindUtil } from '../utils/find.util';
export declare class TDengineFindService {
    private readonly httpService;
    private readonly findUtil;
    constructor(httpService: HttpService, findUtil: FindUtil);
    /**
     * 查询表中最后一条记录
     * @param database 数据库名称
     * @param table 表名称（超级表、子表、普通表均可）
     * @returns 最后一条记录
     */
    lastOne<T>(database: string, table: string): Promise<FindLastOneResponse<T>>;
}
