"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TDengineFindService = void 0;
const axios_1 = require("@nestjs/axios");
const common_1 = require("@nestjs/common");
const rxjs_1 = require("rxjs");
const error_wrapper_decorator_1 = require("../decorators/error-wrapper.decorator");
const find_util_1 = require("../utils/find.util");
let TDengineFindService = class TDengineFindService {
    constructor(httpService, findUtil) {
        this.httpService = httpService;
        this.findUtil = findUtil;
    }
    /**
     * 查询表中最后一条记录
     * @param database 数据库名称
     * @param table 表名称（超级表、子表、普通表均可）
     * @returns 最后一条记录
     */
    async lastOne(database, table) {
        const sql = `SELECT last(*) FROM ${database}.${table}`;
        const { data } = await rxjs_1.firstValueFrom(this.httpService.post('/rest/sql', sql));
        return { success: data.status === "succ" /* Success */, data: this.findUtil.resolveLastOne(data) };
    }
};
__decorate([
    error_wrapper_decorator_1.TDengineErrorWrapper(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", Promise)
], TDengineFindService.prototype, "lastOne", null);
TDengineFindService = __decorate([
    common_1.Injectable(),
    __metadata("design:paramtypes", [axios_1.HttpService, find_util_1.FindUtil])
], TDengineFindService);
exports.TDengineFindService = TDengineFindService;
