import { HttpService } from '@nestjs/axios';
import { DynamicModule, OnModuleInit } from '@nestjs/common';
import { TDengineModuleAsyncOptions, TDengineModuleOptions } from './interfaces/options.interface';
export declare class TDengineCoreModule implements OnModuleInit {
    private readonly options;
    private readonly httpService;
    constructor(options: TDengineModuleOptions, httpService: HttpService);
    /**
     * 同步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRoot(options: TDengineModuleOptions): DynamicModule;
    /**
     * 异步方式配置
     * @param options 配置信息
     * @returns 动态模块
     */
    static forRootAsync(options: TDengineModuleAsyncOptions): DynamicModule;
    /**
     * 创建异步Provider列表
     * @param options 异步配置
     * @returns Provider列表
     */
    private static createAsyncProviders;
    /**
     * 创建异步Provider
     * @param options 异步配置
     * @returns Provider
     */
    private static createAsyncOptionsProvider;
    onModuleInit(): void;
}
