"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatabaseUtil = void 0;
const common_1 = require("@nestjs/common");
let DatabaseUtil = class DatabaseUtil {
    /**
     * 解析数据库信息列表
     * @param param0 获取数据库列表返回信息
     * @returns 数据库列表
     */
    resolveDatabaseInfoList({ column_meta: columnMeta, data }) {
        if (!data?.length)
            return [];
        return data.map(raw => {
            return {
                name: raw[columnMeta.findIndex(([volumn]) => volumn === 'name')],
                ntables: raw[columnMeta.findIndex(([volumn]) => volumn === 'ntables')],
                vgroups: raw[columnMeta.findIndex(([volumn]) => volumn === 'vgroups')],
                replica: raw[columnMeta.findIndex(([volumn]) => volumn === 'replica')],
                quorum: raw[columnMeta.findIndex(([volumn]) => volumn === 'quorum')],
                days: raw[columnMeta.findIndex(([volumn]) => volumn === 'days')],
                keeps: raw[columnMeta.findIndex(([volumn]) => volumn.startsWith('keep'))].split(',').map(keep => parseInt(keep)),
                cache: raw[columnMeta.findIndex(([volumn]) => volumn.startsWith('cache'))],
                minrows: raw[columnMeta.findIndex(([volumn]) => volumn === 'minrows')],
                maxrows: raw[columnMeta.findIndex(([volumn]) => volumn === 'maxrows')],
                wallevel: raw[columnMeta.findIndex(([volumn]) => volumn === 'wallevel')],
                fsync: raw[columnMeta.findIndex(([volumn]) => volumn === 'fsync')],
                comp: raw[columnMeta.findIndex(([volumn]) => volumn === 'comp')],
                cachelast: raw[columnMeta.findIndex(([volumn]) => volumn === 'cachelast')],
                precision: raw[columnMeta.findIndex(([volumn]) => volumn === 'precision')],
                update: raw[columnMeta.findIndex(([volumn]) => volumn === 'update')],
                status: raw[columnMeta.findIndex(([volumn]) => volumn === 'status')],
                createdTime: new Date(raw[columnMeta.findIndex(([volumn]) => volumn === 'created_time')])
            };
        });
    }
};
DatabaseUtil = __decorate([
    common_1.Injectable()
], DatabaseUtil);
exports.DatabaseUtil = DatabaseUtil;
